{% macro list(certificates) %}

    {% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
    {% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}

    {% if certificates|length > 0 %}
        <table class="sylius-products-table table table-bordered">
            <thead>
            <tr>
                <th class="id">{{ sylius_resource_sort('id', '#id') }}</th>
                <th class="info">{{ sylius_resource_sort('name', 'Name') }}</th>
                <th class="info">{{ sylius_resource_sort('active', 'Active') }}</th>
                <th class="info">{{ sylius_resource_sort('locale', 'Locale') }}</th>
                <th class="info">{{ sylius_resource_sort('category', 'Category') }}</th>
                <th class="updated-at">{{ sylius_resource_sort('dateAdded', 'Date') }}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for certificate in certificates %}
                <tr id="{{ certificate.id }}">
                    <td class="id">
                        {{ certificate.id }}
                    </td>
                    <td class="info">
                        <div class="media">
                            <div class="media-body">
                                <h5 class="media-heading">
                                    <a class="name"
                                       href="{{ path('elbotrade_certificate_backend_show', {'id': certificate.id}) }}"
                                       title="Details">
                                        <span class="glyphicon glyphicon-file"></span>
                                        {{ certificate.name }}
                                    </a>
                                </h5>
                            </div>
                        </div>
                    </td>
                    <td class="info">
                        <em>{% if certificate.active == true %}<span class="glyphicon glyphicon-ok"></span>{% else %}<span class="glyphicon glyphicon-remove"></span>{% endif %}</em>
                    </td>
                    <td class="info">
                        <em>{{ certificate.locale }}</em>
                    </td>
                    <td class="info">
                        <em>{% if certificate.category is not null %}<a href="{{ path('elbotrade_certificate_category_backend_show', {'id': certificate.category.id}) }}">{{ certificate.category }}</a>{% endif %}</em>
                    </td>
                    <td class="updated-at">
                        <em>{{ certificate.dateAdded|date }}</em>
                    </td>
                    <td class="center-text">
                        {{ buttons.edit(path('elbotrade_certificate_backend_update', {'id': certificate.id})) }}
                        {{ buttons.delete(path('elbotrade_certificate_backend_delete', {'id': certificate.id})) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ alerts.info('Žádny katalog k zobrazení.') }}
    {% endif %}

{% endmacro %}
